KWIN_DRAW_LINE(3)

FUNCTION
kwin_draw_line - Draw a single line onto a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_draw_line

(KPixCanvas canvas, double x0, double y0, double x1, double y1, unsigned long pixel_value)

DESCRIPTION
Draw a single line onto a pixel canvas.

canvas
    The canvas.

x0  The horizontal offset of the first point.

y0  The vertical offset of the first point.

x1  The horizontal offset of the second point.

y1  The vertical offset of the second point.

pixel_value
    The pixel value to use.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/